/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sysmodular.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Dict;

import java.util.List;

/**
 * 子段关系Entity
 * @author ssrh
 * @version 2018-08-17
 */
public class SysModularField extends DataEntity<SysModularField> {
	
	private static final long serialVersionUID = 1L;
	private String modularId;		// 模块id
	private String field;		// 字段
	private String notes;		// 注释
	private String fieldType;		// 字段类型
	private String logic;		// 逻辑(存码表类型)
    private String sqlString;
	private SysModular sysModular;
	private String showType;
	private List dictList;
	private String isSysDict;
	private String isEmpty;
	private String tableName;
	private String dbName;



	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	@Override
	public String getDbName() {
		return dbName;
	}

	public void setDbName(String dbName) {
		this.dbName = dbName;
	}

	public String getIsEmpty() {
		return isEmpty;
	}

	public void setIsEmpty(String isEmpty) {
		this.isEmpty = isEmpty;
	}

	public String getNo() {
		return no;
	}

	public void setNo(String no) {
		this.no = no;
	}

	private String no;
	public String getIsSysDict() {
		return isSysDict;
	}

	public void setIsSysDict(String isSysDict) {
		this.isSysDict = isSysDict;
	}

	public List getDictList() {
		return dictList;
	}

	public void setDictList(List dictList) {
		this.dictList = dictList;
	}

	public String getShowType() {
		return showType;
	}

	public void setShowType(String showType) {
		this.showType = showType;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	private String sort;
	public String getSqlString() {
		return sqlString;
	}

	public void setSqlString(String sqlString) {
		this.sqlString = sqlString;
	}

	public SysModular getSysModular() {
		return sysModular;
	}

	public void setSysModular(SysModular sysModular) {
		this.sysModular = sysModular;
	}


	public SysModularField() {
		super();
	}

	public SysModularField(String id){
		super(id);
	}

	@ExcelField(title="模块id", align=2, sort=7)
	public String getModularId() {
		return modularId;
	}

	public void setModularId(String modularId) {
		this.modularId = modularId;
	}
	
	@ExcelField(title="字段", align=2, sort=8)
	public String getField() {
		return field;
	}

	public void setField(String field) {
		this.field = field;
	}
	
	@ExcelField(title="注释", align=2, sort=9)
	public String getNotes() {
		return notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}
	
	@ExcelField(title="字段类型", align=2, sort=10)
	public String getFieldType() {
		return fieldType;
	}

	public void setFieldType(String fieldType) {
		this.fieldType = fieldType;
	}
	
	@ExcelField(title="逻辑(存码表类型)", align=2, sort=11)
	public String getLogic() {
		return logic;
	}

	public void setLogic(String logic) {
		this.logic = logic;
	}
	
}